/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sg.information.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.sg.information.entity.Information;
import com.jeeplus.modules.sg.information.entity.append;
import com.jeeplus.modules.sg.material.entity.Material;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 项目管理MAPPER接口
 * @author
 * @version
 */
@MyBatisMapper
public interface InformationMapper extends BaseMapper<Information> {
    List<Information> findAllInformationList();

    int insertInfor(Information information);


    Information findListById(@Param("projectId") String projectId);

    //    void save(List<Information> entity);
    int saveInfo(@Param("information") List<Information> list);

    int updateInformationDate(Information information);

    int updateDate(List<Material> material);

    Information findInformationByID(Information information);

    int updateAppend(List<append> list);

    List<Material> allNoBack(List<Information> list);

    List<Material> allNo(List<Information> list);

    List<Information> exportInfor(List<Information> list);

    List<Information> export(List<Information> list);
}